using System;
using System.Globalization;
using System.ServiceModel;
using System.Threading;
using System.Reflection;

[ServiceBehavior(InstanceContextMode = InstanceContextMode.Single)]
class CommandService : ICommandService {

    public string SendCommand(string action, string data) {
        Console.WriteLine(string.Format(CultureInfo.InvariantCulture, "Action=\"{0}\", Data=\"{1}\".", action, data));

        switch (action) {
            case "Time":
                return DateTime.Now.ToString(@"yyyyMMdd\THHmmss");

            case "Name":
                return Assembly.GetExecutingAssembly().FullName;
                
            case "Sleep":
                int ms = int.Parse(data);
                Thread.Sleep(ms);
                return string.Format(CultureInfo.InvariantCulture, "Slept for {0} milliseconds.", ms);

            default:
                return null;
        }
    }

}
